__gnu_pbds::detail::type_base< Key, Mapped, _Alloc, true > Struct Template Reference
Extensions » Policy-Based Data Structures » Traits

`#include <types_traits.hpp>`

## Public Types

typedef __rebind_va::const_pointer | const_pointer
typedef __rebind_va::const_reference | const_reference
typedef __rebind_ma::const_pointer | mapped_const_pointer
typedef __rebind_ma::const_reference | mapped_const_reference
typedef __rebind_ma::pointer | mapped_pointer
typedef __rebind_ma::reference | mapped_reference
typedef __rebind_ma::value_type | mapped_type
typedef __rebind_va::pointer | pointer
typedef __rebind_va::reference | reference
typedef _Alloc::size_type | size_type
typedef stored_data< value_type, size_type > | stored_data_type
typedef __rebind_va::value_type | value_type

## Detailed Description

template<typename Key, typename Mapped, typename _Alloc>
struct __gnu_pbds::detail::type_base< Key, Mapped, _Alloc, true >

Specialization of type_base for the case where the hash value is stored alongside each value.

Definition at line 147 of file types_traits.hpp.

## Member Typedef Documentation

## const_pointer

template<typename Key , typename Mapped , typename _Alloc >

typedef __rebind_va::const_pointer __gnu_pbds::detail::type_base< Key, Mapped, _Alloc, true >::const_pointer

Definition at line 168 of file types_traits.hpp.

## const_reference

template<typename Key , typename Mapped , typename _Alloc >

typedef __rebind_va::const_reference __gnu_pbds::detail::type_base< Key, Mapped, _Alloc, true >::const_reference

Definition at line 170 of file types_traits.hpp.

## mapped_const_pointer

template<typename Key , typename Mapped , typename _Alloc >

typedef __rebind_ma::const_pointer __gnu_pbds::detail::type_base< Key, Mapped, _Alloc, true >::mapped_const_pointer

Definition at line 162 of file types_traits.hpp.

## mapped_const_reference

template<typename Key , typename Mapped , typename _Alloc >

typedef __rebind_ma::const_reference __gnu_pbds::detail::type_base< Key, Mapped, _Alloc, true >::mapped_const_reference

Definition at line 164 of file types_traits.hpp.

## mapped_pointer

template<typename Key , typename Mapped , typename _Alloc >

typedef __rebind_ma::pointer __gnu_pbds::detail::type_base< Key, Mapped, _Alloc, true >::mapped_pointer

Definition at line 161 of file types_traits.hpp.

## mapped_reference

template<typename Key , typename Mapped , typename _Alloc >

typedef __rebind_ma::reference __gnu_pbds::detail::type_base< Key, Mapped, _Alloc, true >::mapped_reference

Definition at line 163 of file types_traits.hpp.

## mapped_type

template<typename Key , typename Mapped , typename _Alloc >

typedef __rebind_ma::value_type __gnu_pbds::detail::type_base< Key, Mapped, _Alloc, true >::mapped_type

Definition at line 160 of file types_traits.hpp.

## pointer

template<typename Key , typename Mapped , typename _Alloc >

typedef __rebind_va::pointer __gnu_pbds::detail::type_base< Key, Mapped, _Alloc, true >::pointer

Definition at line 167 of file types_traits.hpp.

## reference

template<typename Key , typename Mapped , typename _Alloc >

typedef __rebind_va::reference __gnu_pbds::detail::type_base< Key, Mapped, _Alloc, true >::reference

Definition at line 169 of file types_traits.hpp.

## size_type

template<typename Key , typename Mapped , typename _Alloc >

typedef _Alloc::size_type __gnu_pbds::detail::type_base< Key, Mapped, _Alloc, true >::size_type

Definition at line 150 of file types_traits.hpp.

## stored_data_type

template<typename Key , typename Mapped , typename _Alloc >

typedef stored_data<value_type, size_type> __gnu_pbds::detail::type_base< Key, Mapped, _Alloc, true >::stored_data_type

Definition at line 172 of file types_traits.hpp.

## value_type

template<typename Key , typename Mapped , typename _Alloc >

typedef __rebind_va::value_type __gnu_pbds::detail::type_base< Key, Mapped, _Alloc, true >::value_type

Definition at line 166 of file types_traits.hpp.

The documentation for this struct was generated from the following file:

- types_traits.hpp